> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bango.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Consumer Offer By Id

> Get Consumer Offer by ID.



## OpenAPI

````yaml /openapi/current/dvm/reseller-to-dvm/consumer-offer/openapi.json get /consumerOffers/{consumerOfferId}
openapi: 3.1.0
info:
  title: Reseller to DVM - Consumer Offer API
  summary: Current / DVM / Reseller to DVM / Consumer Offer
  description: Create, get and cancel consumer offers.
  version: 1.0.0
servers: []
security: []
tags:
  - name: Consumer Offers
    description: API methods to manage consumer offers
paths:
  /consumerOffers/{consumerOfferId}:
    get:
      tags:
        - Consumer Offers
      summary: Get Consumer Offer By Id
      description: Get Consumer Offer by ID.
      operationId: Get_Consumer_Offer_by_ID_consumerOffers__consumerOfferId__get
      parameters:
        - name: consumerOfferId
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Identifier of the consumer offer
            title: Consumerofferid
          description: Identifier of the consumer offer
        - name: awaitStatus
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/ConsumerOfferStatusFilter'
            description: |
              Consumer offer status to wait for:
              * `FULLY_CREATED`: all entitlements have been created
              * `FULLY_ACTIVE`: all entitlements are active
              * `FULLY_TERMINATED`: all entitlements have been terminated
          description: |
            Consumer offer status to wait for:
            * `FULLY_CREATED`: all entitlements have been created
            * `FULLY_ACTIVE`: all entitlements are active
            * `FULLY_TERMINATED`: all entitlements have been terminated
        - name: timeout
          in: query
          required: false
          schema:
            type: string
            description: |-
              How long you wish to wait for the response.
              ISO 8601 duration format, between 1 and 10 seconds e.g. PT10S
            title: Timeout
          description: |-
            How long you wish to wait for the response.
            ISO 8601 duration format, between 1 and 10 seconds e.g. PT10S
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsumerOfferRead'
              examples:
                Ok:
                  value:
                    consumerOffer:
                      consumerOfferId: 338d31e1-a289-40dd-beff-ab41c1fc5f51
                      offerId: 7560fca0-d8a9-4124-a172-924debec874e
                      consumer:
                        consumerIdentifier: 6X3D5MHHVSRGKDRLCHIC3Q2W2AQE55BK
                        billingIdentifier: RDZN22AAVYAHVDN3N2OB2A7ADA3FVQWG
                        communicationInformation:
                          emailAddress: example@bango.com
                          msisdn: '+441234567890'
                      status: REQUESTED
                      subStatus: PENDING_CREATES
                      timeline:
                        createRequestedTs: '1970-01-01T00:00:00.000Z'
                        createdTs: '1970-01-01T00:00:00.000Z'
                        createsFailedTs: '1970-01-01T00:00:00.000Z'
                        entitlementsRequestedTs: '1970-01-01T00:00:00.000Z'
                        terminateRequestedTs: '1970-01-01T00:00:00.000Z'
                    entitlements:
                      - entitlementId: b0163d06-1fa3-4c9b-a298-29635ca7151d
                        merchantAccountKey: MY_CONTENT_PROVIDER
                        productKey: My-Product
                        status: REQUESTED
                        subStatus: PENDING_CREATE
                        sharedCustomerId: 19c9dafb-c000-4000-8abb-231782b4b101
                        timeline:
                          activatedTs: '1970-01-01T00:00:00.000Z'
                          createFailedTs: '1970-01-01T00:00:00.000Z'
                          createRequestedTs: '1970-01-01T00:00:00.000Z'
                          createdTs: '1970-01-01T00:00:00.000Z'
                          terminatedTs: '1970-01-01T00:00:00.000Z'
                        source:
                          brand: My Brand
                          channelType: Website
                          country: GB
                          region: Cambridgeshire
                        activation:
                          activationCode: string
                          activationUrl: string
                          activationUrlExpiryTs: '1970-01-01T00:00:00.000Z'
        '400':
          description: Bad request
          content:
            application/json:
              examples:
                Bad Request:
                  value:
                    message: Bad Request
                    statusCode: 400
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Invalid credentials (no response body returned)
        '404':
          description: Not found
          content:
            application/json:
              examples:
                Not found:
                  value:
                    message: Not found
                    statusCode: 404
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              examples:
                Internal server error:
                  value:
                    message: Internal server error
                    statusCode: 500
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBasic: []
        - OAuth2PasswordBearer: []
components:
  schemas:
    ConsumerOfferStatusFilter:
      type: string
      enum:
        - FULLY_CREATED
        - FULLY_ACTIVE
        - FULLY_TERMINATED
      title: ConsumerOfferStatusFilter
      description: Consumer offer statuses avialable in search filters.
    ConsumerOfferRead:
      properties:
        consumerOffer:
          $ref: '#/components/schemas/ConsumerOfferDetail'
          description: Consumer offer detail
        entitlements:
          items:
            $ref: '#/components/schemas/Entitlement'
          type: array
          title: Entitlements
          description: Entitlements created under this consumer offer.
      type: object
      required:
        - consumerOffer
        - entitlements
      title: ConsumerOfferRead
      description: Consumer offer in a get response.
    ErrorResponse:
      properties:
        statusCode:
          type: integer
          title: Statuscode
          description: HTTP Status Code
        message:
          type: string
          title: Message
          description: Description of the error
      type: object
      title: ErrorResponse
      description: Error response for Consumer Offer API.
    ConsumerOfferDetail:
      properties:
        consumerOfferId:
          type: string
          format: uuid
          title: Consumerofferid
          description: A globally unique and immutable identifier of the Consumer Offer
          examples:
            - 338d31e1-a289-40dd-beff-ab41c1fc5f51
        offerId:
          type: string
          format: uuid
          title: Offer ID
          description: >-
            A globally unique and immutable identifier of the offer the consumer
            has subcribed to.
          examples:
            - 7560fca0-d8a9-4124-a172-924debec874e
        consumer:
          $ref: '#/components/schemas/Consumer'
          description: Consumer data.
        status:
          $ref: '#/components/schemas/ConsumerOfferStatus'
          description: >
            Consumer offer status:


            * `REQUESTED`: creation of the consumer offer was requested

            * `PARTIALLY_CREATED`: some entitlement were created, but others
            failed

            * `FULLY_CREATED`: all entitlements have been created

            * `CREATES_FAILED`: all entitlements failed to be created

            * `FULLY_ACTIVE`: all entitlements are active

            * `FULLY_TERMINATED`: all entitlements have been terminated

            * `PARTIALLY_TERMINATED`: some entitlement terminated succesfully,
            some terminations failed
        subStatus:
          $ref: '#/components/schemas/ConsumerOfferSubStatus'
          title: Substatus
          description: |
            Consumer offer sub-status:

            * `PENDING_ACTION`: consumer offer creation is pending an action
            * `PENDING_CREATES`: entitlement creation is pending
            * `PENDING_ACTIVATES`: entitlement activation is pending
            * `PENDING_TERMINATES`: entitlement termination is pending
            * `PENDING_CANCELS`: entitlement cancellation is pending
        timeline:
          $ref: '#/components/schemas/ConsumerOfferTimeline'
          description: Timeline of changes made to the consumer offer
      type: object
      required:
        - consumerOfferId
        - offerId
        - consumer
        - status
        - timeline
      title: ConsumerOfferDetail
      description: Consumer offer detail.
    Entitlement:
      properties:
        entitlementId:
          type: string
          format: uuid
          title: Entitlementid
          description: A globally unique and immutable identifier of the entitlement.
        merchantAccountKey:
          type: string
          title: Merchantaccountkey
          description: >-
            A globally unique, immutable, human readable identifier of the
            content provider that delivers the product.
        productKey:
          type: string
          title: Productkey
          description: >-
            A globally unique, immutable, human readable identifier of the
            product the user is entitled to.
        status:
          $ref: '#/components/schemas/EntitlementStatus'
          description: >
            Current status of the entitlement

            * `REQUESTED`: creation of the entitlement on the content provider
            is in progress

            * `CREATE_FAILED`: creation of the entitlement on the content
            provider failed

            * `CREATED`: creation of the entitlement on the content provider
            succeeded

            * `ACTIVE`: entitlement is associated to the consumer's account on
            the content provider

            * `SUSPENDED`: entitlement is associated, but the consumer access to
            the content has been suspended

            * `ENDED`: entitlement has ended, and the customer has lost access
            to the content
        subStatus:
          $ref: '#/components/schemas/EntitlementSubStatus'
          title: Substatus
          description: Sub Status of the entitlement.
        sharedCustomerId:
          type: string
          format: uuid
          title: Sharedcustomerid
          description: Auto-generated unique consumer id for this content provider
        timeline:
          $ref: '#/components/schemas/EntitlementTimeline'
          description: Timestamp of key events for this entitlement.
        source:
          $ref: '#/components/schemas/Source'
        activation:
          $ref: '#/components/schemas/ActivationInfo'
          title: Activation
          description: >-
            Information needed for entitlement activation. Present only if
            status is `PENDING_ACTIVATION`.
      type: object
      required:
        - entitlementId
        - merchantAccountKey
        - productKey
        - status
        - timeline
      title: Entitlement
      description: Entitlement to a specific product within a Consumer Offer.
    Consumer:
      properties:
        consumerIdentifier:
          type: string
          maxLength: 400
          title: Consumeridentifier
          description: Consumer identifier
        billingIdentifier:
          type: string
          title: Billingidentifier
          description: Billing identifier
        communicationInformation:
          $ref: '#/components/schemas/CommunicationInformation'
          title: Communicationinformation
          description: >-
            Communication channel with the consumer. May be used to send
            reminders or important information.
      type: object
      required:
        - consumerIdentifier
      title: Consumer
      description: Consumer.
    ConsumerOfferStatus:
      type: string
      enum:
        - REQUESTED
        - PARTIALLY_CREATED
        - FULLY_CREATED
        - CREATES_FAILED
        - FULLY_ACTIVE
        - FULLY_TERMINATED
        - PARTIALLY_TERMINATED
      title: ConsumerOfferStatus
      description: Consumer offer status.
    ConsumerOfferSubStatus:
      type: string
      enum:
        - PENDING_ACTION
        - PENDING_CREATES
        - PENDING_ACTIVATES
        - PENDING_TERMINATES
        - PENDING_CANCELS
      title: ConsumerOfferSubStatus
      description: Consumer Offer sub-status.
    ConsumerOfferTimeline:
      properties:
        createRequestedTs:
          type: string
          format: date-time
          title: Createrequestedts
          description: Date creation of the offer was requested
        createdTs:
          type: string
          format: date-time
          title: Createdts
          description: Date the offer was created
        createsFailedTs:
          type: string
          format: date-time
          title: Createsfailedts
          description: Date the offer failed to be created
        entitlementsRequestedTs:
          type: string
          format: date-time
          title: Entitlementsrequestedts
          description: Date the entitlements for the offer were requested
        terminateRequestedTs:
          type: string
          format: date-time
          title: Terminaterequestedts
          description: Date the entitlements for the offer were terminated
        plannedCancellationTs:
          type: string
          format: date-time
          title: Plannedcancellationts
          description: Scheduled date and time for cancel
      type: object
      required:
        - createRequestedTs
      title: ConsumerOfferTimeline
      description: Consumer Offer Timeline.
    EntitlementStatus:
      type: string
      enum:
        - REQUESTED
        - CREATE_FAILED
        - CREATED
        - ACTIVE
        - SUSPENDED
        - ENDED
      title: EntitlementStatus
      description: Status of an entitlement.
    EntitlementSubStatus:
      type: string
      enum:
        - PENDING_CREATE
        - PENDING_ACTIVATE
        - ENDING
        - IMMEDIATE
      title: EntitlementSubStatus
      description: Sub Status of an entitlement.
    EntitlementTimeline:
      properties:
        createRequestedTs:
          type: string
          format: date-time
          title: Createrequestedts
          description: Date when the creation of the entitlement was requested.
        createdTs:
          type: string
          format: date-time
          title: Createdts
          description: >-
            Date when the creation of the entitlement was successfully
            completed.
        createFailedTs:
          type: string
          format: date-time
          title: Createfailedts
          description: Date when the creation of the entitlement failed.
        activatedTs:
          type: string
          format: date-time
          title: Activatedts
          description: Date when the entitlement was activated.
        terminatedTs:
          type: string
          format: date-time
          title: Terminatedts
          description: Date when the entitlement was cancelled.
      type: object
      required:
        - createRequestedTs
      title: EntitlementTimeline
      description: Entitlement Timeline.
    Source:
      properties:
        brand:
          type: string
          title: Brand
          description: Reseller's brand
        channelType:
          $ref: '#/components/schemas/ChannelType'
          title: Channeltype
        country:
          type: string
          title: Country
          description: Consumer's country (ISO two-letter country code).
        region:
          type: string
          title: Region
          description: Consumer's regional area or area code.
      type: object
      title: Source
      description: Metadata related to the creation or activation process.
    ActivationInfo:
      properties:
        activationCode:
          type: string
          title: Activationcode
          description: >-
            The activation response will normally be a url. However, this field
            is returned instead of `url` if the content provider supports
            activation codes rather than URLs.
        activationUrl:
          type: string
          title: Activationurl
          description: >-
            The url that the reseller must redirect the user to to start the
            activation process.
        activationUrlExpiryTs:
          type: string
          format: date-time
          title: Activationurlexpiryts
          description: >-
            Date and time when activation information will expire (if provided
            by the content provider). Field is in UTC ISO 8601 format.
      type: object
      title: ActivationInfo
      description: Information on entitlement activation.
    CommunicationInformation:
      properties:
        emailAddress:
          type: string
          title: Emailaddress
          description: An email address that can be used to contact the consumer.
        msisdn:
          type: string
          title: Msisdn
          description: >-
            A mobile phone number that can be used to contact the consumer, with
            international prefix
      type: object
      title: CommunicationInformation
      description: Communication channel with the consumer.
    ChannelType:
      type: string
      enum:
        - App
        - Call Centre
        - Email
        - Mobile
        - Other
        - Retail
        - SMS
        - Set Top Box
        - Website
      title: ChannelType
      description: Channel used by the consumer in the creation or activation process.
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /token

````